package com.yuchen.saas.park.service.service.repair;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.repair.*;
import com.yuchen.saas.park.api.entity.repair.SaasMatterRepair;
import com.yuchen.saas.park.api.vo.repair.PmgBatRepairAddressRecordVO;
import com.yuchen.saas.park.api.vo.repair.SaasMatterRepairListVo;
import com.yuchen.saas.park.api.vo.repair.SaasMatterRepairVo;
import org.nest.springwrap.core.mp.support.NestPage;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 报事报修表 服务类
 * </p>
 *
 * @author caiwq
 * @since 2024-04-24
 */
public interface ISaasMatterRepairService extends IService<SaasMatterRepair> {
    Boolean add(SaasMatterRepairDto matterRepairDto);
    Boolean accept(SaasMatterRepairAcceptDto acceptDto);
    Boolean dispatch(SaasMatterRepairDispatchDto dispatchDto);
    Boolean back(SaasMatterRepairBackDto backDto);
    Boolean cancle(SaasMatterRepairCancleDto cancleDto);
    Boolean evaluate(SaasMatterRepairEvaluateDto evaluateDto);
    Boolean remove(Long id);
    SaasMatterRepairVo getDetail(Long id);
    NestPage<SaasMatterRepairListVo> getMatterRepairList(SaasMatterRepairQueryDto queryDto);
    void export(SaasMatterRepairQueryDto queryDto, HttpServletResponse response);
    List<PmgBatRepairAddressRecordVO> addressRecords(PmgBatRepairAddressRecordQueryDTO dto);
}
